<div ng-show="$parent.loadingData" class="loading loading1">
    <div class="sk-three-bounce">
        <div class="sk-child sk-bounce1"></div>
        <div class="sk-child sk-bounce2"></div>
        <div class="sk-child sk-bounce3"></div>
    </div>
</div>
<div id="innertabs" ng-hide="$parent.loadingData === true">

    <div class="innersection" ng-if="message.Message.from_hmh == 1">
        <div class="row">
            <h3>From: HMHShip</h3>
        </div>
        <div class="row">
            <h3>To: {{ (message.User.email || 'empty') }}</h3>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="block hasPadding">
                    <h4>Message</h4>
                    <span e-ng-model="message.message">

                        {{ (message.Message.message || 'empty') }}
                    </span>

                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="block hasPadding">
                    <h4>Sent</h4>
                    <span e-ng-model="message.created">

                        {{ (message.Message.created || 'empty') }}
                    </span>

                </div>
            </div>
        </div>
    </div>

        <div class="innersection" ng-if="message.Message.from_hmh == 0">

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Name</h4>
                        <span e-ng-model="message.name">

                            {{ (message.Message.name || 'empty') }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Email</h4>
                        <span e-ng-model="message.email">

                            {{ (message.Message.email || 'empty') }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Subject</h4>
                        <span e-ng-model="message.subject">

                            {{ (message.Message.subject || 'empty') }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Message</h4>
                        <span e-ng-model="message.message">

                            {{ (message.Message.message || 'empty') }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Transaction #</h4>
                        <span e-ng-model="message.tran_number">

                            {{ message.Message.tran_number }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Transaction Type</h4>
                        <span e-ng-model="message.tran_type">

                            {{ message.Message.tran_type }}
                        </span>

                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col-md-6">
                    <div class="block hasPadding">
                        <h4>Received</h4>
                        <span e-ng-model="message.updated">

                            {{ (message.Message.updated || 'empty') }}
                        </span>

                    </div>
                </div>
            </div>

            <div class="row" ng-if="message.Message.user_id != null">
                <h4>Reply</h4>
                <input type="hidden" id="hdnUserID" value="{{message.Message.user_id}}" />
                <textarea id="txtReply" name="reply" rows="3" style="float:left;width:870px;margin-right:10px;padding-left:0px;"></textarea>
                <button id="btnReply" onclick="replyClicked()">Reply</button>
                <div class="showLoad text-center" style="padding: 10px;display:none;">
                    <img src="/img/loading.gif" alt="loading" style="width:30px;" />
                    Saving...
                </div>
            </div>

        </div>
        <button type="button" ng-show="transactionDirty" ng-click="updateTransaction()">Update changes</button>
    </div><!-- /#innertabs -->

<script>
    function replyClicked() {
        // Admin would like to reply to the customer
        var reply = $("#txtReply").val();
        var user_id = $("#hdnUserID").val();

        $("#btnReply").prop("disabled", true);
        $('.showLoad').show();
        $.ajax({
            method: "POST",
            url: '/messages/addReply',
            data: { userid: user_id, msg: reply },
            success: function (result) {

                // refresh page
                location.reload(true);
            },
            error: function (xhr) {
                $('.showLoad').hide();
                $("#btnReply").prop("disabled", false);
                alert("An error occured: " + xhr.status + " " + xhr.statusText);
            }
        });
    }
</script>